package roseindia.net;

import org.aopalliance.aop.Advice;
import org.springframework.aop.framework.ProxyFactory;

public class MainClaz {
	public static void main(String[] args) {
		SimpleBean simpleBean = getSimpleBean();
		simpleBean.sayHi();
		simpleBean.doOtherWork();
	}

	private static SimpleBean getSimpleBean() {
		SimpleBean simpleBean = new SimpleBean();
		ProxyFactory proxyFactory = new ProxyFactory();
		Advice advice = new ProfileInterceptorClass();
		proxyFactory.setTarget(simpleBean);
		SimpleBean proxy = (SimpleBean) proxyFactory.getProxy();
		return proxy;
	}
}
